import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.skills.create({});
console.log(result);
}
run();{
"id": "skill_1710000000000_abc123",
"created_at": 1710000000,
"default_version": "1",
"description": "A skill for deploying applications",
"latest_version": "1",
"name": "deploy-app",
"object": "skill"
}Create a new skill by uploading files. The uploaded files must include a SKILL.md manifest. Accepts multipart form data with individual files or a single zip archive.
import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.skills.create({});
console.log(result);
}
run();{
"id": "skill_1710000000000_abc123",
"created_at": 1710000000,
"default_version": "1",
"description": "A skill for deploying applications",
"latest_version": "1",
"name": "deploy-app",
"object": "skill"
}Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Skill files to upload (must include SKILL.md)
OK
Unique identifier for the skill
Unix timestamp when the skill was created
-9007199254740991 <= x <= 9007199254740991Default version for the skill
Description of the skill
Latest version for the skill
Name of the skill
Was this page helpful?